Subject: Re: Kexec initial registers

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 16 Jul 2006 12:18:06 -0400

> > I think everyone else (ot just the sane ones) just sets all GPRS to 0
> 
> Then we have a bug and we need to initialize local_paca before we call
> early_setup...

Ah ok, I see that things have changed a bit there ... well, we do have a
setup_paca(0) after the first DBG() so that should work.

Really, it's the kernel job to setup r13 before it has any use for it.
The kexec interface only specifies what is in r3..r5, everything else
can be 0xDEADBEEF as far as I'm concerned

Ben.